Bug 1241610 - ERROR: The Parameter (NeutronExternalNetworkBridge) was not defined in template.
Summary: ERROR: The Parameter (NeutronExternalNetworkBridge) was not defined in template.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: Director
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: Director
Assignee: James Slagle
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-09 15:25 UTC by James Slagle
Modified: 2015-08-27 05:48 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-0.8.6-32.el7ost
Doc Type: Known Issue
Doc Text:
Tuskar modified the names of the top level parameters in the Heat stack when deploying an Overcloud. This caused an error during stack validation from Heat: ERROR: The Parameter (NeutronExternalNetworkBridge) was not defined in template. As a workaround, use "tuskar plan-update" to modify the parameter, or use the modified parameter name in the environment file: parameters: Controller-1::NeutronExternalNetworkBridge: "''" Overcloud deploys using the correct parameter value. Note: the parameter needs to be defined in the "parameters:" section, not the "parameter_defaults:" section. Otherwise, the value set in Tuskar's exported environment.yaml overrides the value.
Clone Of:
Environment:
Last Closed: 2015-08-05 13:59:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 200023 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description James Slagle 2015-07-09 15:25:53 UTC
Getting this error:

ERROR: The Parameter (NeutronExternalNetworkBridge) was not defined in template.

when deploying via tuskar and nework isolation with environments/net-single-nic-with-vlans.yaml

It's caused b/c NeutronExternalNetworkBridge is a top level parameter, but Tuskar munges the names of the top level parameters.

Comment 3 James Slagle 2015-07-09 15:30:18 UTC
the fix here is to use parameter_defaults in the environment instead of parameters, that way if the parameter does not exist at the top level, we don't get an error.

We're going to need an extra step though to update the Tuskar plan accordingly though.

The command is:
tuskar plan-update 5f8f194c-55c6-4d56-8eb7-ff3a37c5c11f -P Controller-1::NeutronExternalNetworkBridge="''"

note that this is only done when using network isolation and the environments/net-single-nic-with-vlans.yaml and environments/net-bond-with-vlans.yaml files

Comment 4 wes hayutin 2015-07-09 16:57:44 UTC
https://code.engineering.redhat.com/gerrit/#/c/52703/ seems to have fixed the issue.  Waiting now for my overcloud to finish deploying.

Comment 8 Ofer Blaut 2015-07-21 11:29:17 UTC
just tested with      
parameters:
  Controller-1::NeutronExternalNetworkBridge: "''"

and external network works, no error is seen

openstack-tripleo-heat-templates-0.8.6-44.el7ost.noarch

Comment 10 errata-xmlrpc 2015-08-05 13:59:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.